> For the complete documentation index, see [llms.txt](https://docs.harmony.one/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.harmony.one/home/developers/sdk/web3/find-the-last-transaction.md).

# Find the last transaction

## Introduction <a href="#introduction" id="introduction"></a>

This guide walks through the process of using [web3.js](https://web3js.readthedocs.io/) to get last block and get last transaction.

For this example, we will use Node.js and straightforward JavaScript code.

{% hint style="info" %}
This example assumes that you have configured Web3 as described in the previous section.
{% endhint %}

### Get Block Number

```javascript
const lastBlockNumber = await web3.eth.getBlockNumber();
console.log('Last block number: ', lastBlockNumber);

let block = await web3.eth.getBlock(lastBlockNumber);

console.log('Last block hash: ', block.hash);
console.log('Last block transactions: ', block.transactions);
```

### Get Last Transaction

```javascript
block = await web3.eth.getBlock(blockNumber);

const lastTransaction = block.transactions[block.transactions.length - 1];
console.log('Last transaction hash: ', lastTransaction);

const transaction = await web3.eth.getTransaction(lastTransaction);
console.log('Last transaction: ', JSON.stringify(transaction));
```

Code samples can be found [here.](https://github.com/harmony-one/ethhmy-bridge.sdk/blob/web3-hmy/examples/web3-hmy/get-block-transactions.js)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.harmony.one/home/developers/sdk/web3/find-the-last-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
